Bug 511292 - Unexpected connection shows up for qpid-stat -c
Unexpected connection shows up for qpid-stat -c
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1.1
All Linux
high Severity medium
: 1.3
: ---
Assigned To: Alan Conway
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 12:03 EDT by Gordon Sim
Modified: 2015-11-15 20:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When using the "-c" command line option, the qpid-stat utility no longer reports extra connections.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:02:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2009-07-14 12:03:29 EDT
Description of problem:

If there are open client connections to a cluster when a new node is added then 'shadow connections' for those connections are reporetd by qpid-stat (with qpidd in the cproc field).

Version-Release number of selected component (if applicable):

qpidd-0.5.752581-26.el5 & python-qpid-0.5.758389-1.el5 (but believed to be observable since 1.1.1)

How reproducible:

100%

Steps to Reproduce:
1. start cluster node
2. start a few clients
3. start a new node for the same cluster
4. run qpid-stat -c
  
Actual results:

An extra connection is reported (with qpidd as the cproc field value) for each real connection. This connection will continue to be reported until the real connection it is associated with is closed.

Expected results:

These unexpected extra connections don't show up.

Additional info:
Comment 1 Alan Conway 2009-07-14 12:13:13 EDT
Problem is that the management ID is not being set on caught-up shadow connections so they look like real connections from the updater broker.

As well as fixing this, add [shadow] to the id string so it's clearer what these are.
Comment 2 Alan Conway 2009-07-17 16:52:16 EDT
Fixed on trunk r795223
Comment 5 Frantisek Reznicek 2010-09-20 08:27:08 EDT
The issue has been fixed no shadow connections shown in qpid-stat -c, tested on RHEL 5.5 i386 / x86_64 on packages:
python-qmf-0.7.946106-13.el5
python-qpid-0.7.946106-14.el5
qmf-0.7.946106-15.el5
qmf-devel-0.7.946106-15.el5
qpid-cpp-client-0.7.946106-15.el5
qpid-cpp-client-devel-0.7.946106-15.el5
qpid-cpp-client-devel-docs-0.7.946106-15.el5
qpid-cpp-client-rdma-0.7.946106-15.el5
qpid-cpp-client-ssl-0.7.946106-15.el5
qpid-cpp-server-0.7.946106-15.el5
qpid-cpp-server-cluster-0.7.946106-15.el5
qpid-cpp-server-devel-0.7.946106-15.el5
qpid-cpp-server-rdma-0.7.946106-15.el5
qpid-cpp-server-ssl-0.7.946106-15.el5
qpid-cpp-server-store-0.7.946106-15.el5
qpid-cpp-server-xml-0.7.946106-15.el5
qpid-dotnet-0.4.738274-2.el5
qpid-java-client-0.7.946106-9.el5
qpid-java-common-0.7.946106-9.el5
qpid-tools-0.7.946106-10.el5

-> VERIFIED
Comment 6 Jaromir Hradilek 2010-10-08 06:58:38 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When using the "-c" command line option, the qpid-stat utility no longer reports extra connections.
Comment 8 errata-xmlrpc 2010-10-14 12:02:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.